Subject: bug#46240: Sorting order of read-char-by-name

From: Juri Linkov <[email-masked]>
Date: Tue, 09 Feb 2021 20:13:09 +0200

>> The intention of this shorter name was to allow more
>> options to be added to the same variable later.
>
> <Shrug> those were suggestions, not requests.  The names you proposed
> sounded not descriptive enough to me, so I looked for better ones.
> feel free to ignore me.

Sorry, I tried hard to find shortest names,
while being more verbose in the docstrings,
so I updated the docstrings to describe them
more thoroughly.

But I found a more serious problem: while testing I noticed
that some similar characters in the same group have
different syntax, for example:

SUBSCRIPT FOUR ₄ has syntax: _ 	which means: symbol
SUBSCRIPT FIVE ₅ has syntax: w 	which means: word

Many other SUBSCRIPT characters have different syntax.
The difference is noticeable because word motion commands stop
at different places: some stop at such characters, but some
SUBSCRIPT/SUPERSCRIPT characters are skipped by forward-word.